## python-cachecontrol 0.12.10

=== Makefile ===
# SPDX-FileCopyrightText: 2015 Eric Larson
#
# SPDX-License-Identifier: Apache-2.0

VENV=.venv
VENV_CMD=python3 -m venv
ACTIVATE = $(VENV)/bin/activate
CHEESE=https://pypi.python.org/pypi
BUMPTYPE=patch


$(VENV)/bin/pip3:
	$(VENV_CMD) $(VENV)

bootstrap: $(VENV)/bin/pip3
	$(VENV)/bin/pip3 install -r dev_requirements.txt

format:
	$(VENV)/bin/black .

doc: $(VENV)/bin/sphinx-build
	. $(ACTIVATE);
	cd docs && make html

clean: clean-build clean-pyc clean-test

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test:
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/

test-all:
	$(VENV)/bin/tox

test:
	$(VENV)/bin/py.test

coverage:
	$(VENV)/bin/py.test --cov cachecontrol

release: dist
	$(VENV)/bin/twine upload dist/*

dist: clean
	python setup.py sdist bdist_wheel
	ls -l dist

bump:
	$(VENV)/bin/bumpversion $(BUMPTYPE)
	git push && git push --tags

## python-cachecontrol 0.11.5

=== debian/changelog ===
python-cachecontrol (0.11.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add python-requests to Build-Depends
    Closes: #802145
  * Removed some underscores from long description
    Closes: #799531

 -- Andreas Tille <tille@debian.org>  Mon, 26 Oct 2015 10:51:48 +0100

python-cachecontrol (0.11.5-1) unstable; urgency=medium

  * New upstream release.

 -- Barry Warsaw <barry@debian.org>  Mon, 01 Jun 2015 15:48:03 -0400

python-cachecontrol (0.11.4-1) unstable; urgency=medium

  * New upstream release.

 -- Barry Warsaw <barry@debian.org>  Mon, 18 May 2015 14:08:10 -0400

python-cachecontrol (0.11.3-1) unstable; urgency=medium

  * Initial release. (Closes: #785059)

 -- Barry Warsaw <barry@debian.org>  Fri, 15 May 2015 18:24:27 -0400

=== debian/control ===
Source: python-cachecontrol
Maintainer: Barry Warsaw <barry@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Homepage: https://github.com/ionrock/cachecontrol
Section: python
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-requests,
               python-setuptools,
               python3-all,
               python3-requests,
               python3-setuptools
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-cachecontrol.git
Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/python-cachecontrol.git

Package: python-cachecontrol
Architecture: all
Depends: python-requests, ${misc:Depends}, ${python:Depends}
Description: caching algorithms in httplib2 for use with requests
 CacheControl is a port of the caching algorithms in httplib2 for use with
 requests session object.
 .
 It was written because httplib2's better support for caching is often
 mitigated by its lack of threadsafety. The same is true of requests in
 terms of caching.
 .
 This is the Python 2 library.

Package: python3-cachecontrol
Architecture: all
Depends: python3-requests, ${misc:Depends}, ${python3:Depends}
Description: caching algorithms in httplib2 for use with requests
 CacheControl is a port of the caching algorithms in httplib2 for use with
 requests session object.
 .
 It was written because httplib2's better support for caching is often
 mitigated by its lack of threadsafety. The same is true of requests in
 terms of caching.
 .
 This is the Python 3 library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cachecontrol
#export PYBUILD_VERBOSE=1
#export DH_VERBOSE=1


%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/CacheControl/CacheControl-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cachecontrol 0.11.7

=== debian/changelog ===
python-cachecontrol (0.11.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Barry Warsaw ]
  * New upstream release.
  * d/control: Bump Standards-Version with no other changes necessary.
  * d/patches/no-doesitcache-script.patch: Exclude usr/bin/doesitcache, an
    undocumented and unnecessary command line script.

 -- Barry Warsaw <barry@debian.org>  Mon, 31 Oct 2016 16:37:49 -0400

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                python3-all,
                python3-requests,
                python3-setuptools
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-cachecontrol.git
-Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/python-cachecontrol.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-cachecontrol.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-cachecontrol.git
 
 Package: python-cachecontrol
 Architecture: all

## python-cachecontrol 0.12.6

=== debian/changelog ===
python-cachecontrol (0.12.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.12.6
  * Rebase patch
  * Add python3-msgpack as build-dependency
  * Add Rules-Requires-Root: no
  * Update Standards-Version to 4.5.0
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 25 Jan 2020 08:45:32 +0100

python-cachecontrol (0.11.7-2) unstable; urgency=medium

  * Team upload.
  [ Barry Warsaw ]
  * d/control: Put DPMT in Maintainers and myself in Uploaders.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support (Closes: #937626).
  * Bump debhelper compat level to 12.
  * Enable autopkgtest-pkg-python testsuite.
  * Bump standards version to 4.4.0.

 -- Ondřej Nový <onovy@debian.org>  Thu, 12 Sep 2019 14:39:21 +0200

=== debian/control ===
Source: python-cachecontrol
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Barry Warsaw <barry@debian.org>
Homepage: https://github.com/ionrock/cachecontrol
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-msgpack,
               python3-requests,
               python3-setuptools
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/modules/python-cachecontrol.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cachecontrol
Testsuite: autopkgtest-pkg-python

Package: python3-cachecontrol
Architecture: all
Depends: python3-requests, ${misc:Depends}, ${python3:Depends}
Description: caching algorithms in httplib2 for use with requests
 CacheControl is a port of the caching algorithms in httplib2 for use with
 requests session object.
 .
 It was written because httplib2's better support for caching is often
 mitigated by its lack of threadsafety. The same is true of requests in
 terms of caching.
 .
 This is the Python 3 library.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/CacheControl/CacheControl-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cachecontrol 0.12.10

=== debian/changelog ===
python-cachecontrol (0.12.10-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 06 Nov 2021 21:43:48 -0700

python-cachecontrol (0.12.9-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 03 Nov 2021 10:50:47 -0700

python-cachecontrol (0.12.8-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patch avoid-httpbin, accepted upstream.
  * Flesh out UMEGAYA a little.
  * Drop +ds suffix again, for new upstream release.
  * Drop Copyright from the first line of License in debian/copyright.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 30 Oct 2021 09:17:05 -0700

python-cachecontrol (0.12.6+ds-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove MIA uploader Barry Warsaw <barry@debian.org>. Closes: #970169
  * Bump debhelper from old 12 to 13.

  [ Stefano Rivera ]
  * Adopt package, it needs a human maintainer.
  * Bump standards version to 4.6.0, no changes needed.
  * Switch to source from GitHub (+ds for now), with upstream test suite.
  * Build-Depend on python3-{cherrypy,lockfile,mock,pytest,redis}, to run
    upstream test suite.
  * Unset http[s]_proxy for tests, usually set by pybuild.
  * Patch avoid-httpbin.patch: Use a local test endpoint instead of
    httpbin.org.
  * Add autopkgtests to run upstream test suite.
  * Don't ship web_cache seeded by the test suite.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 15 Sep 2021 17:14:00 -0700

=== debian/control ===
Source: python-cachecontrol
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Homepage: https://github.com/ionrock/cachecontrol
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-cherrypy3,
 python3-lockfile,
 python3-mock,
 python3-msgpack,
 python3-pytest,
 python3-redis,
 python3-requests,
 python3-setuptools
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cachecontrol.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cachecontrol
Testsuite: autopkgtest-pkg-python

Package: python3-cachecontrol
Architecture: all
Depends: python3-requests, ${misc:Depends}, ${python3:Depends}
Description: caching algorithms in httplib2 for use with requests
 CacheControl is a port of the caching algorithms in httplib2 for use with
 requests session object.
 .
 It was written because httplib2's better support for caching is often
 mitigated by its lack of threadsafety. The same is true of requests in
 terms of caching.
 .
 This is the Python 3 library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cachecontrol
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/web_cache
#export PYBUILD_VERBOSE=1
#export DH_VERBOSE=1


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	http_proxy= https_proxy= dh_auto_test

=== debian/tests/control ===
Tests: unittests3
Depends:
 python3-all,
 python3-cachecontrol,
 python3-cherrypy3,
 python3-lockfile,
 python3-mock,
 python3-pytest,
 python3-redis
Restrictions: allow-stderr

## python-cachecontrol 0.12.11

=== debian/changelog ===
python-cachecontrol (0.12.11-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 21 Apr 2022 23:27:00 -0400

## python-cachecontrol 0.12.12

=== Makefile ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	$(VENV)/bin/twine upload dist/*
 
 dist: clean
-	python setup.py sdist bdist_wheel
+	$(VENV)/bin/python setup.py sdist bdist_wheel
 	ls -l dist
 
 bump:

=== debian/changelog ===
python-cachecontrol (0.12.12-2) unstable; urgency=medium

  * Support the nocheck build profile.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 15 Oct 2022 22:28:11 +0200

python-cachecontrol (0.12.12-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Switch Build-Depends from python3-lockfile to python3-filelock, following
    upstream.
  * Bump Standards-Version to 4.6.1, no changes needed.
  * Update copyright.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 13 Sep 2022 11:26:38 +0200

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
  debhelper-compat (= 13),
  dh-python,
  python3-all,
- python3-cherrypy3,
- python3-lockfile,
- python3-mock,
- python3-msgpack,
- python3-pytest,
- python3-redis,
- python3-requests,
+ python3-cherrypy3 <!nocheck>,
+ python3-filelock <!nocheck>,
+ python3-mock <!nocheck>,
+ python3-msgpack <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-redis <!nocheck>,
+ python3-requests <!nocheck>,
  python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cachecontrol.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cachecontrol

=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
  python3-all,
  python3-cachecontrol,
  python3-cherrypy3,
- python3-lockfile,
+ python3-filelock,
  python3-mock,
  python3-pytest,
  python3-redis

## python-cachecontrol 0.13.1

=== Makefile ===
--- 
+++ 
@@ -7,13 +7,14 @@
 ACTIVATE = $(VENV)/bin/activate
 CHEESE=https://pypi.python.org/pypi
 BUMPTYPE=patch
+BUMPPRE=0
 
 
 $(VENV)/bin/pip3:
 	$(VENV_CMD) $(VENV)
 
 bootstrap: $(VENV)/bin/pip3
-	$(VENV)/bin/pip3 install -r dev_requirements.txt
+	$(VENV)/bin/pip3 install -e .[dev]
 
 format:
 	$(VENV)/bin/black .
@@ -49,13 +50,6 @@
 coverage:
 	$(VENV)/bin/py.test --cov cachecontrol
 
-release: dist
-	$(VENV)/bin/twine upload dist/*
-
 dist: clean
-	$(VENV)/bin/python setup.py sdist bdist_wheel
+	$(VENV)/bin/python -m build
 	ls -l dist
-
-bump:
-	$(VENV)/bin/bumpversion $(BUMPTYPE)
-	git push && git push --tags

=== debian/changelog ===
python-cachecontrol (0.13.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1019705)
  * Refresh patches.
  * Migrate to flit (and built with pybuild-plugin-pyproject), following
    upstream.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 10 Jun 2023 17:32:24 -0400

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ flit,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-cherrypy3 <!nocheck>,
  python3-filelock <!nocheck>,
@@ -15,8 +17,7 @@
  python3-pytest <!nocheck>,
  python3-redis <!nocheck>,
  python3-requests <!nocheck>,
- python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cachecontrol.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cachecontrol

## python-cachecontrol 0.14.0

=== Makefile ===
--- 
+++ 
@@ -5,16 +5,12 @@
 VENV=.venv
 VENV_CMD=python3 -m venv
 ACTIVATE = $(VENV)/bin/activate
-CHEESE=https://pypi.python.org/pypi
-BUMPTYPE=patch
-BUMPPRE=0
 
-
-$(VENV)/bin/pip3:
+$(VENV)/bin/pip:
 	$(VENV_CMD) $(VENV)
 
-bootstrap: $(VENV)/bin/pip3
-	$(VENV)/bin/pip3 install -e .[dev]
+bootstrap: $(VENV)/bin/pip
+	$(VENV)/bin/pip install -e .[dev]
 
 format:
 	$(VENV)/bin/black .

=== debian/changelog ===
python-cachecontrol (0.14.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Refresh patches.
  * Bump copyright years.

  [ Alexandre Detiste ]
  * Remove extraneous dependency on python3-mock.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 07 Feb 2024 16:11:27 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
  python3-all,
  python3-cherrypy3 <!nocheck>,
  python3-filelock <!nocheck>,
- python3-mock <!nocheck>,
  python3-msgpack <!nocheck>,
  python3-pytest <!nocheck>,
  python3-redis <!nocheck>,

=== debian/watch ===
version=4
opts=\
    filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
    dversionmangle=auto \
https://github.com/ionrock/cachecontrol/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-cachecontrol 0.14.1

=== debian/changelog ===
python-cachecontrol (0.14.1-1) unstable; urgency=medium

  * New upstream point release.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 07 Nov 2024 17:37:09 -0800

## python-cachecontrol 0.14.2

=== debian/changelog ===
python-cachecontrol (0.14.2-1) unstable; urgency=medium

  * New upstream point release.
  * Refresh patches.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 11 Jan 2025 13:23:44 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-pytest <!nocheck>,
  python3-redis <!nocheck>,
  python3-requests <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cachecontrol.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cachecontrol

## python-cachecontrol 0.14.3

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,9 @@
 	$(VENV)/bin/pip install -e .[dev]
 
 format:
-	$(VENV)/bin/black .
+	$(VENV)/bin/codespell
+	$(VENV)/bin/ruff check --fix
+	$(VENV)/bin/ruff format
 
 doc: $(VENV)/bin/sphinx-build
 	. $(ACTIVATE);

=== docs/Makefile ===
# SPDX-FileCopyrightText: 2015 Eric Larson
#
# SPDX-License-Identifier: Apache-2.0

# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/CacheControl.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/CacheControl.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/CacheControl"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/CacheControl"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-cachecontrol (0.14.3-1) unstable; urgency=medium

  * New upstream point release.
  * Refresh patches.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 03 May 2025 13:02:45 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-pytest <!nocheck>,
  python3-redis <!nocheck>,
  python3-requests <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cachecontrol.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cachecontrol

=== debian/tests/control ===
Tests: unittests3
Depends:
 python3-all,
 python3-cachecontrol,
 python3-cherrypy3,
 python3-filelock,
 python3-pytest,
 python3-redis
Restrictions: allow-stderr
